Problema com apt-get no Linux Mint 9

1. Problema com apt-get no Linux Mint 9

Douglas de Jesus Silva
silvadouglas

(usa Linux Mint)

Enviado em 15/08/2010 - 18:17h

Pessoal, boa noite.

Meu Linux Mint 9 Isadora esta apresentando o seguinte problema com o APT-GET.

Toda vez que eu executo o apt-get update ele retorna com a seguinte mensagem:

W: Falhou ao buscar http://packages.linuxmint.com/dists/isadora/Release Unable to find expected entry universe/binary-i386/Packages in Meta-index file (malformed Release file?)

E: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os antigos foram usados no lugar.


Quando apareceu a 1ª vez, eu alterei os servidores de download e mesmo assim não funciona.

Detalhe, o aptitude update funciona 100% em todos os espelhos.

O que devo fazer? Pois utilizo um script no apt-get para automatizar o processo de procura de chaves.

Desde já agradeço.


  


2. Re: Problema com apt-get no Linux Mint 9

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 15/08/2010 - 18:55h

Bom, desabilite seu script para ver se o apt funciona sem erros.


3. Re: Problema com apt-get no Linux Mint 9

Douglas de Jesus Silva
silvadouglas

(usa Linux Mint)

Enviado em 16/08/2010 - 14:32h

Desabilitei o script e mesmo assim não funciona.

W: Falhou ao buscar http://www.insync.za.net/mirrors/packages/dists/isadora/Release Unable to find expected entry universe/binary-i386/Packages in Meta-index file (malformed Release file?)

E: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os antigos foram usados no lugar.


Muito estranho pois o aptitude funciona 100%.


Obrigado novamente.


4. Re: Problema com apt-get no Linux Mint 9

Perfil removido
removido

(usa Nenhuma)

Enviado em 16/08/2010 - 15:03h

Se tivesse postado seu sources.list ficaria mais fácil, pela mensagem o erro está nesse repositório:

http://www.insync.za.net/mirrors/packages/dists/isadora

Experimente desabilitá-lo e rode o apt-get update novamente.

Um sources.list pro Mint Isadora seria algo como esse:

deb http://packages.linuxmint.com/ isadora main upstream import backport romeo
deb http://linuxmint.daniel-vigano.de/ isadora main upstream import backport romeo
deb http://archive.ubuntu.com/ubuntu/ lucidmain restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ lucid-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ lucid-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ lucid partner
deb http://packages.medibuntu.org/ lucid free non-free

* os repositórios Backports e Romeo não são habilitados por padrão.
* o Backports está vazio por hora e o Romeo tem os temas do Plymouth e outras coisas.


5. Re: Problema com apt-get no Linux Mint 9

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 16/08/2010 - 19:54h

O repo que está dando erro está mesmo inacessível. Experimente clicar no link dele a partir daqui mesmo e vc vai ver.

Editado: testei mais algumas vezes e abriu numa delas. Estranho!


6. Re: Problema com apt-get no Linux Mint 9

Perfil removido
removido

(usa Nenhuma)

Enviado em 16/08/2010 - 20:08h

Se ele for endereço abaixo, na seção 'Mirrored repositories', terá acesso a mais mirrors, foi o que fiz antes de adicionar esse:

http://linuxmint.daniel-vigano.de/

O mirror que está dando erro: http://www.insync.za.net/mirrors/packages/ também está lá.

* mas nem sempre o mais próximo da gente é o mais funcional.

Basta acessar o site, copiar o endereço desejado, adicionar o 'deb' antes e após o endereço adicionar a release: isadora e as seções: main upstream import backport romeo

Outro exemplo de mirror também funcionando:

deb http://mirror.csclub.uwaterloo.ca/linuxmint-packages/ isadora main upstream import backport romeo



7. Re: Problema com apt-get no Linux Mint 9

Douglas de Jesus Silva
silvadouglas

(usa Linux Mint)

Enviado em 16/08/2010 - 20:32h

Se eu desabilita-lo funciona, porém quando eu rodo o aptitude ele funciona normal, sem dar esse erro.

Quer ver só; eu alterei para baixar de um repositório bulgaro e mesmo assim da o mesmo erro.

Se o repositório estivesse off-line, o aptitude também acusaria.

Obrigado novamente.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts